
/*
 * STAGE: Import data into SAS 
 */
FILENAME REFFILE '/folders/myfolders/Week1/Data/NC_MEDICARE_PHYSICIAN.csv';

PROC IMPORT DATAFILE=REFFILE
	DBMS=CSV
	OUT=WORK.MEDICARE_PHYSICIAN REPLACE;
	GETNAMES=YES;
	GUESSINGROWS=2000;
RUN;

/*
 * STRUCTURE: Sort on last name first name, remove any duplicates
 */
PROC SORT data=work.medicare_physician nodup;
	by last_name first_name;
run; 

DATA First_Row;
	set work.medicare_physician;
	IF _N_ EQ 1 THEN DO;
		output;
	END;
RUN;

DATA Last_Row;
	set work.medicare_physician end=eof;
	if eof EQ 1 then ouptut;
run;
/*
 * STRUCTURE: Sort on provider type
 */
PROC SORT data=work.medicare_physician ;
	by provider_type;
run; 
/*
 * STRUCTURE: leverage the BY group processing to find the first, last and order providers by type 
 */
DATA by_groups(keep= run_total provider_type  last_name first_name)
	 first_group(keep= run_total provider_type last_name first_name)
	 last_group(keep= run_total provider_type last_name first_name);
	 length run_total 8.;
	 
	set medicare_physician;
	by provider_type;
	retain run_total;
	* try here run_total = run_total+1;	
	if first.provider_type then do;
		run_total = 1;
		output first_group;
	end;
	
	* try here run_total = run_total+1;	
	if last.provider_type then do;
		output last_group;
	end;
	* try here run_total = run_total+1;	
	output by_groups;
	run_total = run_total+1;
run;
