
/*
 * STAGE: Import Georgia Medicare Physicians 
 */

FILENAME REFFILE '/folders/myfolders/Week1/Data/GA_MEDICARE_PHYSICIAN.csv';

PROC IMPORT DATAFILE=REFFILE
	DBMS=CSV
	OUT=WORK.GA_MEDICARE_PHYSICIAN REPLACE;
	GETNAMES=YES;
	GUESSINGROWS=2000;
RUN;

/*
 * Basic Sort Acending (default) Decending 
 */

PROC SORT data=work.GA_MEDICARE_PHYSICIAN;
	by Last_Name First_Name;
run; 

PROC SORT data=work.GA_MEDICARE_PHYSICIAN;
	by descending Last_Name First_Name;
run; 

/* 
 * Sort removing duplicate records NODUP & NODUPRECS do same thing 
 */
PROC SORT data=work.GA_MEDICARE_PHYSICIAN out=noduperec nodup;
by Last_Name First_Name;
run; 

/*
 * Sort removing dupicate records based on Sort Key (BY statement)
 */
PROC SORT data=work.GA_MEDICARE_PHYSICIAN out=nodupes nodupkey;
	by Last_Name First_Name;
run; 

/*
 * Sort removing dupicate records based on Sort Key (BY statement) and Filter with a Where 
 */
PROC SORT data=work.GA_MEDICARE_PHYSICIAN out=nodupes(keep=last_name first_name credentials city_name) nodupkey;
	by Last_Name First_Name;
	where gender='F' and substr(credentials,1,1) eq 'M';
run; 
