libname week1'/folders/myfolders';

proc import datafile='/folders/myfolders/aapl.csv'
out=week1.aapl dbms=csv;
getnames=yes;
run;

proc contents data=week1.aapl varnum;
run;


proc sort data=week1.aapl out=ap;
by date;
run;

data a;
set ap;
array mva_(5) _temporary_;
do i=5 to 2 by -1;
mva_(i) = mva_(i-1);
end;
mva_(1) = adj_close;
mva30 = sum(of mva_(*))/30;
if _N_ GT 30 then do;
       if mva5 > adj_close then signal= 'LONG';
       if mva5 < adj_close then signal= 'SELL';
       if signal NE lag(signal) then action= signal;
end;
where date > MDY(1,1,2017);
run;

proc export data=work.a
outfile='/folders/myfolders/a.csv'
dbms=csv
replace;
run;
proc sgplot data=a;
series x=date y=mva30 /;
series x=date y=adj_close /;
xaxis grid;
yaxis grid;
refline '15FEB2017'D '01APR2017'D / axis=x Lineattrs=(color=green);
refline '27MAR2017'D / axis=x lineattrs=(color=red);
run;

data aa;
length daily_ret daily_grw first_day 8.;
format date DATE9.;
set a;
if _N_ EQ 1 then do;
first_day = adj_close;
end;
retain adj_close first_day;
daily_ret = adj_close/lag(adj_close) - 1;
daily_grw = adj_close/first_day;
run;

ods graphics / reset width=6.4in height=4.8in imagemap;